## Serverless S3 Batch plugin

The `serverless-s3-batch` plugin is designed to make it easy to work with [S3 Batch](https://docs.aws.amazon.com/AmazonS3/latest/dev/batch-ops.html) operations.

If you're running an S3 Batch operation that invokes a Lambda function, you may be using the Serverless Framework to deploy your function anyway. Using the `serverless-s3-batch` plugin also assists with:

- Managing the IAM role for your S3 Batch job

- Launching your S3 Batch job

For a deep dive and walkthrough on S3 Batch and this plugin, check out [this blog post](TODO).

## Installation

#### Install using Serverless plugin manager
```bash
serverless plugin install --name serverless-s3-batch
```

#### Install using npm

Install the module using npm:
```bash
npm install serverless-s3-batch --save-dev
```

Add `serverless-s3-batch` to the plugin list of your `serverless.yml` file:

```yaml
plugins:
  - serverless-s3-batch
```

## 	Quickstart

1. Configure a function and basic usage of the plugin your `serverless.yml`:

	```yaml
	service: s3-batch
	
	plugins:
	  - serverless-s3-batch
	
	custom:
	  s3batch:
	    manifest: s3://s3-batch-example/manifest.txt
	    report: s3://s3-batch-example/reports
	    operation: detectSentiment
	
	provider:
	  name: aws
	  runtime: python3.7
	  stage: dev
	  region: us-east-1
	
	functions:
	  detectSentiment:
	    handler: handler.detect_sentiment
	```
	
2. Deploy your service 